/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.function.Predicate;

public class Cisla
{
    private List<Integer> seznamCisel = new ArrayList<>();

    public Cisla() {
        seznamCisel = Arrays.asList(
            new Integer(1),new Integer(10),
            new Integer(200),new Integer(101), 
            new Integer(-10),new Integer(0),
            new Integer(-2), new Integer(48));
    }

    /**
     * Getter pro získání seznamu čísel
     */
    public List<Integer> getSeznamCisel() {
        return seznamCisel;
    }


    public static void main(String args[]){
        Cisla p = new Cisla();
        Predicate<Integer> positivni = (i) -> i > 0;

        
        List<Integer> filtrovanyList = p.filtrovatList(p.getSeznamCisel(), positivni);
        filtrovanyList.forEach(System.out::println);
    }

    /**
     * Pomocná metoda sloužící pro filtrování vloženého seznam dle zadané podmínky.
     * Vrací výsledný filtrovaný seznam.
     */
    public List<Integer> filtrovatList(List<Integer> seznamCisel, Predicate<Integer> predicate){
        List<Integer> filtrovanyList = new ArrayList<Integer>();
        for(Integer cislo:seznamCisel){
            if(predicate.test(cislo)){
                filtrovanyList.add(cislo);
            }
        }
        return filtrovanyList;
    }

}
